// -*- C++ -*-
#include <iostream>
#include "ColorFull/Core/Trace_basis.h"
#include "ColorFull/Core/Orthogonal_basis.h"
#include "ColorFull/Core/Tree_level_gluon_basis.h"

using namespace ColorFull;
using namespace std;


int main(){


	Trace_basis MyBasis(1,3);
	cout << "Constructed the basis: \n";
	cout << MyBasis;
	MyBasis.write_out_Col_basis();
	MyBasis.scalar_product_matrix();

	Col_amp Ca0=MyBasis.at(0);
	Col_functions Col_fun;
	cout << "\nThe result of exchanging a gluon between parton 1 and 3 in:\n"
			<< Ca0 << "\nis:\n" << Col_fun.exchange_gluon(Ca0, 1, 3) << endl << endl;
	cout << "Radiating a new gluon, gluon 77, from parton 3 we get:\n"
			<< Col_fun.emit_gluon(Ca0, 3, 77) << endl << endl;


  return 0;

}

